CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opções]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Sempre que passar argumentos para o calibre-debug que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--add-simple-plugin
    Adiciona um plugin simples (isto é, um plugin composto apenas de um ficheiro .py) especificando o caminho para o ficheiro py que contém o código do plugin.

--command, -c
    Executar código Python.

--debug-device-driver, -d
    Depurar deteção de dispositivos

--default-programs
    Retirar o Calibre do registo de programas predefinidos do Windows --default-programs = (register|unregister)

--diff
    Executar a ferramenta Diff do Calibre. Por exemplo: Calibre-debug --diff -- file1 file2

--edit-book, -t
    Iniciar a ferramenta "Editar livro" em modo de depuração.

--exec-file, -e
    Executar o código Python no ficheiro.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Exportar todos os dados do Calibre (livros/configurações/plugins). Normalmente, ser-lhe-á pedido para definir uma pasta para onde exportar e quais as bibliotecas a exportar. Também pode fazer essa especificação por argumentos de linha de comando para ignorar as perguntas. Use caminhos absolutos para indicar a pasta para onde exportar e as bibliotecas a incluir. O termo especial "all" pode ser usado para exportar todas as bibliotecas.

--gui, -g
    Executar a interface de utilizador em modo de depuração. A informação da depuração será escrita em stdout e stderr.

--gui-debug
    Executar a interface de utilizador com uma consola de depuração, gravando registos na localização especificada. Apenas para uso interno, use a opção -g para executar a interface de utilizador em modo de depuração

--help, -h
    mostrar esta mensagem de ajuda e sair

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importar dados previamente exportados do Calibre

--inspect-mobi, -m
    Inspecionar ficheiro(s) MOBI nas localizações especificadas

--paths
    Mostra as localizações de sistema necessárias para configurar o ambiente do Calibre

--reinitialize-db
    Reinicializar a base de dados SQLite do Calibre no caminho especificado. Útil para recuperar de uma corrupção na base de dados.

--run-plugin, -r
    Executar um plugin que forneça uma interface de linha de comandos. Por exemplo: calibre-debug -r "Add Books" -- file1 --option1 Tudo depois de -- será passado para o plugin como argumentos.

--shutdown-running-calibre, -s
    Causa a terminação de uma instância do Calibre, caso exista alguma em execução. Note que se existirem tarefas em execução estas serão silenciosamente canceladas pelo que deve usar esta funcionalidade com cuidado.

--subset-font, -f
    Subdivida o tipo de letra especificado. Use -- depois desta opção para passar a opção pelo programa de subdivisão de fontes.

--test-build
    Testar módulos binário na produção

--version
    mostrar o número da versão do programa e sair

--viewer, -w
    Executar o visualizador de livros digitais no modo de depuração

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal